package com.xingxi.api.service;

import com.xingxi.api.common.UserContext;
import com.xingxi.api.model.*;
import com.xingxi.business.Order.domain.Order;
import com.xingxi.business.PaymentInfo.domain.PaymentInfo;
import org.apache.ibatis.annotations.Param;

public interface OrderServiceI {

    OrderQueryResponse list(UserContext userContext, OrderQueryRequest request);

    OrderCreateResponse create(UserContext userContext, OrderCreateRequest request);

    OrderDetailResponse get(UserContext userContext, OrderDetailRequest request);

    PaymentInfo selectPaymentInfoByOutTradeNo(String outTradeNo);

    Order lockOrderByPrescId(Long orderId);

}
